@import "./theme.css";

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-roboto);
}

.container {
  /* border: 2px solid red; */
  max-width: 1200px;
  margin: 2rem auto;
}
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem;
}
nav img {
  width: 200px;
}

.section-btn {
  /* border: 2px solid blue; */
}

button {
  border: 2px solid var(--blue-3);
  padding: 1rem 1.2rem;
  border-radius: 5px;
  box-shadow: var(--shadow-light);
  font-family: var(--ff-yeon);
  margin: 1rem 0.5rem;
  white-space: nowrap;
  cursor: pointer;
  font-size: var(--fs-lg);
}
button:hover {
  opacity: 0.9;
}
.btn-light {
  color: var(--blue-3);
  background-color: var(--white);
}
.btn-dark {
  background-color: var(--blue-3);
  color: var(--white);
}
button a{
  color: var(--white);
  text-decoration: none;
}

header.hero {
  display: flex;
  /* border: 2px solid red; */
  align-items: center;
  gap: 1rem;
  padding: 1rem;
}

header.hero h1,
p {
  line-height: var(--line-h-xl);
}
.section-text {
  /* border: 2px solid red; */
  flex: 2;
  text-align: justify;
}
.section-img {
  /* border: 2px solid red; */
  flex: 1;
}

.section-img img {
  width: 100%;
  min-width: 300px;
}

main .card {
  display: flex;
  padding: 1rem;
  align-items: center;
  gap: 1rem;
  border: 20px;
  box-shadow: var(--shadow-dark);
  margin: 2rem 0;
}

main .card:nth-child(even){
    flex-direction: row-reverse;
}

main .card article {
  flex: 1;
}

main .card img {
  width: 100%;
}

/* ? ------------------------------ */
/*!  Media Queries */

@media (max-width: 700px) {
  nav {
    flex-direction: column;
  }
  nav img {
    width: 250px;
  }

  header.hero {
    flex-direction: column;
  }
main .card{
    flex-direction: column;
}


main .card:nth-child(even){
    flex-direction: column;
}
}

@media (max-width: 420px) {
  .section-btn {
    display: flex;
    flex-direction: column;
  }
  .section-btn button {
    width: 250px;
  }
}
